Create salespersonPurchasers

Creates a salesperson purchaser in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST businesscentralPrefix/companies({id})/salespeoplePurchasers({id})

Request headers

HeaderValue
AuthorizationBearer {token}. Required.
Content-Typeapplication/json
If-MatchRequired. When this request header is included and the eTag provided doesn't match the current tag on the salespeoplePurchaser, the salespeoplePurchaser won't be updated.

Request body

In the request body, supply a JSON representation of a salespeoplePurchaser object.

Response

If successful, this method returns 201 Created response code and a salespeoplePurchaser object in the response body.

Example

Request

Here's an example of the request.

POST https://{businesscentralPrefix}/api/v2.0/companies({id})/salespeoplePurchasers({id})
Content-type: application/json
{
    "code": "JS",
    "displayName": "Jennifer Smith",
    "email": "jennifer.smith@contoso.com",
    "email2": "js@contoso.onmicrosoft.com",
    "phoneNo": "+1 425-555-0187",
    "jobTitle": "Senior Sales Representative",
    "commisionPercent": 7.5,
    "privacyBlocked": false,
    "blocked": false
}

Response

Here's an example of the response.

HTTP/1.1 201 Created
Content-type: application/json
{
    "id": "f57a8943-92b5-ed11-94cc-000d3a2feca1",
    "code": "JS",
    "displayName": "Jennifer Smith",
    "email": "jennifer.smith@contoso.com",
    "email2": "js@contoso.onmicrosoft.com",
    "phoneNo": "+1 425-555-0187",
    "jobTitle": "Senior Sales Representative",
    "commisionPercent": 7.5,
    "privacyBlocked": false,
    "blocked": false,
    "lastModifiedDateTime": "2025-04-29T13:42:26Z"
}

Tips for working with the APIs
salespersonPurchaser
GET salespersonPurchaser
DELETE salespersonPurchaser
PATCH salespersonPurchaser